<?php
/*
PluginAdRotate
Copyright (C) 2005 Matthew Wood
                                                                                
This library is free software; you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation; either version 2.1 of the License, or
(at your option) any later version.
*/


	include_once(PLOG_CLASS_PATH.
      "class/view/admin/adminplugintemplatedview.class.php");
	include_once(PLOG_CLASS_PATH.
      "plugins/adrotate/class/dao/adrotateadsstats.class.php");
	
	class AdminAdRotateStatisticsView extends AdminPluginTemplatedView
	{		
		function AdminAdRotateStatisticsView( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "adrotate", "statsview" );
		}
		
		function render()
		{
			$aras = new AdRotateAdsStats();
			$allads = $aras->getAllAds();
			
			$this->setValue( "ads", $allads);
			
			parent::render();
		}
	}
?>
